pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Global API elements for . Most of these are utility functions. System.Object
- Method
  System.String `` Splits a list of filename strings and normalizes their paths. a a In the underlying C implementation, the string returned is intended as an argument to g_strfreev.
- Method
  System.String `` Trims leading and trailing whitespace from a string. a a
- Method
  System.Void `` `` `` `` `` Computes a for each character in . text to process embedding level, or -1 if unknown language tag array with one PangoLogAttr per character in text, plus one extra, to be filled in a The array must have one for each position in text; if text contains N characters, it has N+1 positions, including the last position at the end of the text. text should be an entire paragraph; logical attributes cannot be computed without context (for example you need to see spaces on either side of a word to know the word is a word).
- Constructor
  Default constructor
  a
- Method
  System.Boolean `` `` `` Parses a string into a object. a to parse a object to set up with the weight parsed out of the string a for whether to warn on bad input. a for whether the string was successfully parsed. The allowed values are "heavy", "ultrabold", "bold", "normal", "light", "ultralight" and integers. Case variations are ignored.
- Method
  System.Boolean `` `` `` Parses a string into a object. a to parse a to set up with the stretch value parsed out of the string a for whether to warn on bad input. a for whether the string was successfully parsed. The allowed values are "ultra_condensed", "extra_condensed", "condensed", "semi_condensed", "normal", "semi_expanded", "expanded", "extra_expanded" and "ultra_expanded". Case variations are ignored and the '_' characters may be omitted.
- Method
  System.Boolean `` `` `` Parses a string into a object. a to parse a to set up with the variant value parsed out of the string a for whether to warn on bad input. a for whether the string was successfully parsed. The allowed values are "normal" and "smallcaps" or "small_caps", case variations being ignored.
- Method
  System.Boolean `` `` `` Parses a string into a object. a to parse a to set up with the style parsed out of the string. a for whether to warn on bad input. a for whether the string was successfully parsed. The allowed values are "normal", "italic" and "oblique", case variations being ignored.
- Method
  System.Void `` `` `` Locates a paragraph boundary in . UTF-8 text return location for index of delimiter return location for start of next paragraph

  A boundary is caused by delimiter characters, such as a newline, carriage return, carriage return-newline pair, or Unicode paragraph separator character. The index of the run of delimiters is returned in . The index of the start of the paragraph (index after all delimiters) is stored in .

  If no delimiters are found, both and are filled with the length of text (an index one off the end).
- Method
  System.Boolean `` `` Scans a string looking for an integer. An integer consists of up to 31 decimal digits. a , a string to scan. a , an integer to put the result into. a , false if a parse error occurred.
- Method
  System.Boolean `` Skips 0 or more characters of whitespace a a , which is true if there are non-whitespace characters before the end of the string.
- Method
  System.Boolean `` `` Scans a string looking for an integer. An integer consists of up to 31 decimal digits. a a a To be added
- Method
  System.Boolean `` `` `` `` `` Parses a markup text string into text and a list of attributes. a a a a a a
- Method
  Pango.Direction `` To be added a a To be added
- Method
  GLib.List `` `` `` `` `` `` `` To be added a a a a a a a a To be added
- Method
  Pango.Language `` To be added a a To be added